<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="riskanalysis" nsURI="http://www.eclipse.org/papyrus/robotics/safety/riskanalysis/1"
    nsPrefix="RiskAnalysis">
  <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
    <details key="originalName" value="TaskBasedRiskAnalysis"/>
  </eAnnotations>
  <eClassifiers xsi:type="ecore:EClass" name="HazardAnalysis" eSuperTypes="../../org.eclipse.papyrus.robotics.bpc.profile/model/bpc.ecore#//Property">
    <eStructuralFeatures xsi:type="ecore:EReference" name="Skill" ordered="false"
        lowerBound="1" eType="ecore:EClass ../../org.eclipse.papyrus.robotics.profile/model/robotics.ecore#//skills/SkillDefinition"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Origin" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../org.eclipse.uml2.types/model/Types.ecore#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="HazardousSituation" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../org.eclipse.uml2.types/model/Types.ecore#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="HazardousEvent" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../org.eclipse.uml2.types/model/Types.ecore#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="PossibleHarm" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../org.eclipse.uml2.types/model/Types.ecore#//String"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="base_Operation" ordered="false"
        eType="ecore:EClass ../../org.eclipse.uml2.uml/model/UML.ecore#//Operation"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Comment" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../org.eclipse.uml2.types/model/Types.ecore#//String"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Initial_Occurence" ordered="false"
        lowerBound="1" eType="#//OccurenceEstimation"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Initial_Avoidance" ordered="false"
        lowerBound="1" eType="#//RiskEstimation"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Initial_Frequency" ordered="false"
        lowerBound="1" eType="#//RiskEstimation"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Initial_Severity" ordered="false"
        lowerBound="1" eType="#//RiskEstimation"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Initial_Criticality" ordered="false"
        lowerBound="1" eType="#//RiskIndex" changeable="false" volatile="true" transient="true"
        derived="true"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Final_Occurence" ordered="false"
        lowerBound="1" eType="#//OccurenceEstimation"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Final_Avoidance" ordered="false"
        lowerBound="1" eType="#//RiskEstimation"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Final_Frequency" ordered="false"
        lowerBound="1" eType="#//RiskEstimation"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Final_Severity" ordered="false"
        lowerBound="1" eType="#//RiskEstimation"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Final_Criticality" ordered="false"
        lowerBound="1" eType="#//RiskIndex" changeable="false" volatile="true" transient="true"
        derived="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="base_Property" ordered="false"
        eType="ecore:EClass ../../org.eclipse.uml2.uml/model/UML.ecore#//Property"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Hazard" ordered="false"
        lowerBound="1" eType="#//HazardType"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Initial_RiskLevel" ordered="false"
        lowerBound="1" eType="#//RiskLevel" volatile="true" transient="true" derived="true"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Final_RiskLevel" ordered="false"
        lowerBound="1" eType="#//RiskLevel" volatile="true" transient="true" derived="true"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="ContactAera" ordered="false"
        lowerBound="1" eType="#//BodyRegion"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="Initial_DesignRiskReduction"
        ordered="false" upperBound="-1" eType="#//RiskReduction"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="Final_DesignRiskReduction"
        ordered="false" upperBound="-1" eType="#//RiskReduction"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="Initial_TechnicalRiskReduction"
        ordered="false" upperBound="-1" eType="#//RiskReduction"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="Final_TechnicalRiskReduction"
        ordered="false" upperBound="-1" eType="#//RiskReduction"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="Initial_OrganizationalRiskReduction"
        ordered="false" upperBound="-1" eType="#//RiskReduction"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="Final_OrganizationalRiskReduction"
        ordered="false" upperBound="-1" eType="#//RiskReduction"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EEnum" name="OccurenceEstimation">
    <eLiterals name="_1">
      <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
        <details key="originalName" value="1"/>
      </eAnnotations>
    </eLiterals>
    <eLiterals name="_2" value="1">
      <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
        <details key="originalName" value="2"/>
      </eAnnotations>
    </eLiterals>
    <eLiterals name="_3" value="2">
      <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
        <details key="originalName" value="3"/>
      </eAnnotations>
    </eLiterals>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EEnum" name="RiskEstimation">
    <eLiterals name="_1">
      <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
        <details key="originalName" value="1"/>
      </eAnnotations>
    </eLiterals>
    <eLiterals name="_2" value="1">
      <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
        <details key="originalName" value="2"/>
      </eAnnotations>
    </eLiterals>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EEnum" name="RiskIndex">
    <eLiterals name="_1">
      <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
        <details key="originalName" value="1"/>
      </eAnnotations>
    </eLiterals>
    <eLiterals name="_2" value="1">
      <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
        <details key="originalName" value="2"/>
      </eAnnotations>
    </eLiterals>
    <eLiterals name="_3" value="2">
      <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
        <details key="originalName" value="3"/>
      </eAnnotations>
    </eLiterals>
    <eLiterals name="_4" value="3">
      <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
        <details key="originalName" value="4"/>
      </eAnnotations>
    </eLiterals>
    <eLiterals name="_5" value="4">
      <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
        <details key="originalName" value="5"/>
      </eAnnotations>
    </eLiterals>
    <eLiterals name="_6" value="5">
      <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
        <details key="originalName" value="6"/>
      </eAnnotations>
    </eLiterals>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EEnum" name="HazardType">
    <eLiterals name="Mechanical"/>
    <eLiterals name="Electrical" value="1"/>
    <eLiterals name="Noise" value="2"/>
    <eLiterals name="Vibration" value="3"/>
    <eLiterals name="Radiation" value="4"/>
    <eLiterals name="MaterialSubstance" value="5">
      <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
        <details key="originalName" value="Material/Substance"/>
      </eAnnotations>
    </eLiterals>
    <eLiterals name="Ergonomic" value="6"/>
    <eLiterals name="EnvironmentWorkspace" value="7">
      <eAnnotations source="http://www.eclipse.org/uml2/2.0.0/UML">
        <details key="originalName" value="Environment/Workspace"/>
      </eAnnotations>
    </eLiterals>
    <eLiterals name="Combination" value="8"/>
    <eLiterals name="Other" value="9"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EEnum" name="RiskLevel">
    <eLiterals name="NegligibleRisk"/>
    <eLiterals name="VeryLowRisk" value="1"/>
    <eLiterals name="LowRisk" value="2"/>
    <eLiterals name="SignificantRisk" value="3"/>
    <eLiterals name="HighRisk" value="4"/>
    <eLiterals name="VeryHighRisk" value="5"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EEnum" name="BodyRegion">
    <eLiterals name="Skull_Forehead"/>
    <eLiterals name="Face" value="1"/>
    <eLiterals name="Neck" value="2"/>
    <eLiterals name="BacK_Shoulders" value="3"/>
    <eLiterals name="Chest" value="4"/>
    <eLiterals name="Abdomen" value="5"/>
    <eLiterals name="Pelvis" value="6"/>
    <eLiterals name="UpperArms_ElbowJoints" value="7"/>
    <eLiterals name="LowerArms_WristJoints" value="8"/>
    <eLiterals name="Hands_Fingers" value="9"/>
    <eLiterals name="Thighs_Knees" value="10"/>
    <eLiterals name="LowerLegs" value="11"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="RiskReduction">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="Description" ordered="false"
        lowerBound="1" eType="ecore:EDataType ../../org.eclipse.uml2.types/model/Types.ecore#//String"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="base_Class" ordered="false"
        eType="ecore:EClass ../../org.eclipse.uml2.uml/model/UML.ecore#//Class"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="base_Property" ordered="false"
        eType="ecore:EClass ../../org.eclipse.uml2.uml/model/UML.ecore#//Property"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="HazardAnalysisContext" eSuperTypes="../../org.eclipse.papyrus.robotics.bpc.profile/model/bpc.ecore#//Entity">
    <eStructuralFeatures xsi:type="ecore:EReference" name="hazardanalysis" ordered="false"
        upperBound="-1" eType="#//HazardAnalysis" volatile="true" transient="true"
        derived="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="task" ordered="false" eType="ecore:EClass ../../org.eclipse.papyrus.robotics.profile/model/robotics.ecore#//behavior/Task"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="base_Interface" ordered="false"
        eType="ecore:EClass ../../org.eclipse.uml2.uml/model/UML.ecore#//Interface"/>
  </eClassifiers>
</ecore:EPackage>
